Probleme mit Elephant 0.69 Installation

    • seelachs
      seelachs
      Bronze
      Dabei seit: 22.06.2007 Beiträge: 661
      Hi,

      bekomme bei der Installation des Elephant 0.69 die meldung, dass zuerst Visual C++ Runtime libraries installiert werden müssen. Das tut er dann auch fleissig und nach dem gewünschten Reboot erhalte ich diese Fehlermeldung:



      Component Visual C++ Runtime Libraries (x86) has failed to install with the following error message:
      "Auf den Windows-Installationsdienst konnte nicht zugegriffen werden. Die kann vorkommen, wenn Sie Windows im abgesicherten Modus ausführen oder der Windows-Installer nicht korrekt installiert ist. Wenden Sie sich an den Support, um Hilfe zu erhalten. "

      The following components failed to install:
      - Visual C++ Runtime Libraries (x86)

      See the setup log file located at 'C:\DOKUME~1\MATTHI~1.BER\LOKALE~1\Temp\VSD19.tmp\install.log' for more information.


      Habe das log-file mal nicht gepostet, um nicht zu spammen :-) falls benötigt, kann ich das nachholen...
      Was kann ich tun?

      gruß

      Seelachs
  • 6 Antworten
    • mrk1988
      mrk1988
      Bronze
      Dabei seit: 04.02.2007 Beiträge: 13.337
      Hallo,

      installier mal bitte das hier: http://www.microsoft.com/DOWNLOADS/details.aspx?familyid=5A58B56F-60B6-4412-95B9-54D056D6F9F4&displaylang=de

      Das ist der Windows Installer, der bei dir das Problem verursacht hat.

      Danach versuch nochmal den Elephant zu installieren.
    • seelachs
      seelachs
      Bronze
      Dabei seit: 22.06.2007 Beiträge: 661
      hi,

      danke für den Tip, das hat leider nicht geholfen. Es kommt die gleiche Fehlermeldung. Hier mal das log file:

      The following properties have been set:
      Property: [AdminUser] = true {boolean}
      Property: [ProcessorArchitecture] = Intel {string}
      Property: [VersionNT] = 5.1.3 {version}
      Running checks for package '.NET Framework 2.0 (x86)', phase BuildList
      Running external check with command 'C:\DOKUME~1\MATTHI~1.BER\LOKALE~1\Temp\VSD8.tmp\DotNetFX\dotnetchk.exe' and parameters ''
      Process exited with code 1
      Setting value '1 {int}' for property 'DotNetInstalled'
      Reading value 'Version' of registry key 'HKLM\Software\Microsoft\Internet Explorer'
      Read string value '8.0.6001.18702'
      Setting value '8.0.6001.18702 {string}' for property 'IEVersion'
      The following properties have been set for package '.NET Framework 2.0 (x86)':
      Property: [DotNetInstalled] = 1 {int}
      Property: [IEVersion] = 8.0.6001.18702 {string}
      Running checks for command 'DotNetFX\instmsia.exe'
      Result of running operator 'ValueExists' on property 'VersionNT': true
      Result of checks for command 'DotNetFX\instmsia.exe' is 'Bypass'
      Running checks for command 'DotNetFX\WindowsInstaller-KB893803-v2-x86.exe'
      Result of running operator 'ValueExists' on property 'Version9x': false
      Result of running operator 'VersionLessThan' on property 'VersionNT' and value '5.0.3': false
      Result of running operator 'VersionGreaterThanOrEqualTo' on property 'VersionMsi' and value '3.0': true
      Result of checks for command 'DotNetFX\WindowsInstaller-KB893803-v2-x86.exe' is 'Bypass'
      Running checks for command 'DotNetFX\dotnetfx.exe'
      Result of running operator 'ValueNotEqualTo' on property 'DotNetInstalled' and value '0': true
      Result of checks for command 'DotNetFX\dotnetfx.exe' is 'Bypass'
      '.NET Framework 2.0 (x86)' RunCheck result: No Install Needed
      Running checks for package 'Visual C++ Runtime Libraries (x86)', phase BuildList
      Running MsiProductCheck with ProductCode '{FF66E9F6-83E7-3A3E-AF14-8DE9A809A6A4}'
      MsiQueryProductState returned '-1'
      Setting value '-1 {int}' for property 'VCRedistInstalled'
      The following properties have been set for package 'Visual C++ Runtime Libraries (x86)':
      Property: [VCRedistInstalled] = -1 {int}
      Running checks for command 'vcredist_x86\vcredist_x86.exe'
      Result of running operator 'ValueGreaterThanEqualTo' on property 'VCRedistInstalled' and value '3': false
      Result of running operator 'ValueEqualTo' on property 'AdminUser' and value 'false': false
      Skipping FailIf because Property 'Version9X' was not defined
      Result of running operator 'VersionLessThan' on property 'VersionNT' and value '5.00': false
      Result of checks for command 'vcredist_x86\vcredist_x86.exe' is 'Install'
      'Visual C++ Runtime Libraries (x86)' RunCheck result: Install Needed
      Running checks for package 'Windows Installer 3.1', phase BuildList
      The following properties have been set for package 'Windows Installer 3.1':
      Running checks for command 'WindowsInstaller3_1\WindowsInstaller-KB893803-v2-x86.exe'
      Result of running operator 'VersionGreaterThanOrEqualTo' on property 'VersionMsi' and value '3.1': true
      Result of checks for command 'WindowsInstaller3_1\WindowsInstaller-KB893803-v2-x86.exe' is 'Bypass'
      'Windows Installer 3.1' RunCheck result: No Install Needed
      Installation of components 'Visual C++ Runtime Libraries (x86)' was accepted.
      Copying files to temporary directory "C:\DOKUME~1\MATTHI~1.BER\LOKALE~1\Temp\VSD8.tmp\"
      Downloading files to "C:\DOKUME~1\MATTHI~1.BER\LOKALE~1\Temp\VSD8.tmp\"
      (29.09.2009 21:50:07) Downloading 'vcredist_x86\vcredist_x86.exe' from 'http://download.microsoft.com/download/d/d/9/dd9a82d0-52ef-40db-8dab-795376989c03/vcredist_x86.exe' to 'C:\DOKUME~1\MATTHI~1.BER\LOKALE~1\Temp\VSD8.tmp\'
      Download completed at 29.09.2009 21:50:10
      Verifying file integrity of C:\DOKUME~1\MATTHI~1.BER\LOKALE~1\Temp\VSD8.tmp\vcredist_x86\vcredist_x86.exe
      WinVerifyTrust returned 0
      File trusted
      Running checks for package 'Visual C++ Runtime Libraries (x86)', phase BeforePackage
      Running MsiProductCheck with ProductCode '{FF66E9F6-83E7-3A3E-AF14-8DE9A809A6A4}'
      MsiQueryProductState returned '-1'
      Setting value '-1 {int}' for property 'VCRedistInstalled'
      The following properties have been set for package 'Visual C++ Runtime Libraries (x86)':
      Property: [VCRedistInstalled] = -1 {int}
      Running checks for command 'vcredist_x86\vcredist_x86.exe'
      Result of running operator 'ValueGreaterThanEqualTo' on property 'VCRedistInstalled' and value '3': false
      Result of running operator 'ValueEqualTo' on property 'AdminUser' and value 'false': false
      Skipping FailIf because Property 'Version9X' was not defined
      Result of running operator 'VersionLessThan' on property 'VersionNT' and value '5.00': false
      Result of checks for command 'vcredist_x86\vcredist_x86.exe' is 'Install'
      'Visual C++ Runtime Libraries (x86)' RunCheck result: Install Needed
      Verifying file integrity of C:\DOKUME~1\MATTHI~1.BER\LOKALE~1\Temp\VSD8.tmp\vcredist_x86\vcredist_x86.exe
      WinVerifyTrust returned 0
      File trusted
      Installing using command 'C:\DOKUME~1\MATTHI~1.BER\LOKALE~1\Temp\VSD8.tmp\vcredist_x86\vcredist_x86.exe' and parameters ' /q:a '
      Process exited with code 3010
      Running checks for package 'Visual C++ Runtime Libraries (x86)', phase AfterPackage
      Running MsiProductCheck with ProductCode '{FF66E9F6-83E7-3A3E-AF14-8DE9A809A6A4}'
      MsiQueryProductState returned '-1'
      Setting value '-1 {int}' for property 'VCRedistInstalled'
      The following properties have been set for package 'Visual C++ Runtime Libraries (x86)':
      Property: [VCRedistInstalled] = -1 {int}
      Running checks for command 'vcredist_x86\vcredist_x86.exe'
      Result of running operator 'ValueGreaterThanEqualTo' on property 'VCRedistInstalled' and value '3': false
      Result of running operator 'ValueEqualTo' on property 'AdminUser' and value 'false': false
      Skipping FailIf because Property 'Version9X' was not defined
      Result of running operator 'VersionLessThan' on property 'VersionNT' and value '5.00': false
      Result of checks for command 'vcredist_x86\vcredist_x86.exe' is 'Install'
      'Visual C++ Runtime Libraries (x86)' RunCheck result: Unknown
      Status of package 'Visual C++ Runtime Libraries (x86)' after install is 'InstallUnknown'
      Writing Reboot Information to 'C:\DOKUME~1\MATTHI~1.BER\LOKALE~1\Temp\VSD8.tmp\afterreboot.cfg'
      Resuming after a reboot. Original Application location: 'C:\Programme\PokerStrategy\PokerStrategy Elephant\'
      The following properties have been set:
      Property: [AdminUser] = true {boolean}
      Property: [ProcessorArchitecture] = Intel {string}
      Property: [VersionNT] = 5.1.3 {version}
      Package 'Visual C++ Runtime Libraries (x86)' has not been installed
      Running checks for package 'Visual C++ Runtime Libraries (x86)', phase BuildList
      Running MsiProductCheck with ProductCode '{FF66E9F6-83E7-3A3E-AF14-8DE9A809A6A4}'
      MsiQueryProductState returned '-1'
      Setting value '-1 {int}' for property 'VCRedistInstalled'
      The following properties have been set for package 'Visual C++ Runtime Libraries (x86)':
      Property: [VCRedistInstalled] = -1 {int}
      Running checks for command 'vcredist_x86\vcredist_x86.exe'
      Result of running operator 'ValueGreaterThanEqualTo' on property 'VCRedistInstalled' and value '3': false
      Result of running operator 'ValueEqualTo' on property 'AdminUser' and value 'false': false
      Skipping FailIf because Property 'Version9X' was not defined
      Result of running operator 'VersionLessThan' on property 'VersionNT' and value '5.00': false
      Result of checks for command 'vcredist_x86\vcredist_x86.exe' is 'Install'
      'Visual C++ Runtime Libraries (x86)' RunCheck result: Install Needed
      Running checks for package 'Visual C++ Runtime Libraries (x86)', phase BeforePackage
      Running MsiProductCheck with ProductCode '{FF66E9F6-83E7-3A3E-AF14-8DE9A809A6A4}'
      MsiQueryProductState returned '-1'
      Setting value '-1 {int}' for property 'VCRedistInstalled'
      The following properties have been set for package 'Visual C++ Runtime Libraries (x86)':
      Property: [VCRedistInstalled] = -1 {int}
      Running checks for command 'vcredist_x86\vcredist_x86.exe'
      Result of running operator 'ValueGreaterThanEqualTo' on property 'VCRedistInstalled' and value '3': false
      Result of running operator 'ValueEqualTo' on property 'AdminUser' and value 'false': false
      Skipping FailIf because Property 'Version9X' was not defined
      Result of running operator 'VersionLessThan' on property 'VersionNT' and value '5.00': false
      Result of checks for command 'vcredist_x86\vcredist_x86.exe' is 'Install'
      'Visual C++ Runtime Libraries (x86)' RunCheck result: Install Needed
      Verifying file integrity of C:\DOKUME~1\MATTHI~1.BER\LOKALE~1\Temp\VSD8.tmp\vcredist_x86\vcredist_x86.exe
      WinVerifyTrust returned 0
      File trusted
      Installing using command 'C:\DOKUME~1\MATTHI~1.BER\LOKALE~1\Temp\VSD8.tmp\vcredist_x86\vcredist_x86.exe' and parameters ' /q:a '
      Process exited with code 1601
      Status of package 'Visual C++ Runtime Libraries (x86)' after install is 'InstallFailed'
    • mrk1988
      mrk1988
      Bronze
      Dabei seit: 04.02.2007 Beiträge: 13.337
      Ok, kannst du den Windows Installer über die Systemsteuerung deinstallieren? Falls ja, mach das mal bitte. Vorher deinstallierst du aber den Elephant und alles in der Systemsteuerung was mit Visual C Runtime / Redistributeable zu tun hat.

      Also Reihenfolge: 1) Elephant, 2) Visual C Runtim / Redistributable 3) Windows Installer.

      Danach neustarten, dann installierst du bitte das hier: http://www.microsoft.com/downloads/details.aspx?FamilyID=889482fc-5f56-4a38-b838-de776fd4138c&DisplayLang=de

      Danach den Elephant. Klappt das?
    • seelachs
      seelachs
      Bronze
      Dabei seit: 22.06.2007 Beiträge: 661
      Danke für Deine hilfe mrk!

      schaffe das heute leider nicht mehr. Werde wohl erst übermorgen dazu kommen, melde mich dann wieder, ja?

      Gruß

      Seelachs
    • mrk1988
      mrk1988
      Bronze
      Dabei seit: 04.02.2007 Beiträge: 13.337
      Gerne =)
    • seelachs
      seelachs
      Bronze
      Dabei seit: 22.06.2007 Beiträge: 661
      so, habe das gemacht, es kommt aber die fehlermeldung:

      Die Service Pack-Version dieses Systems ist neuer als das update, das Sie installieren möchten.

      Das update muss nicht installiert werden.


      ... und lässt sich auch nicht installieren ;-)

      steht aber auch in der Beschreibung dass es nur für XP SP1 und SP2 ist, ich habe aber XP SP3.

      Gruß

      Seelachs